import { Token } from '@liquiditeam/app-sdk';
declare type SdkProps = {
    token: Token;
};
declare const _default: ({ token }: SdkProps) => {
    api: {
        getActivityNotifications(variables?: import("./contracts/api-types-and-hooks").Exact<{
            limit?: import("./contracts/api-types-and-hooks").Maybe<number>;
            offset?: import("./contracts/api-types-and-hooks").Maybe<number>;
            filter?: import("./contracts/api-types-and-hooks").Maybe<import("./contracts/api-types-and-hooks").ActivityNotificationFilterInput>;
            sort?: import("./contracts/api-types-and-hooks").Maybe<import("./contracts/api-types-and-hooks").ActivityNotificationSortInput>;
        }> | undefined, options?: unknown): Promise<import("./contracts/api-types-and-hooks").GetActivityNotificationsQuery>;
        createAdminUser(variables: import("./contracts/api-types-and-hooks").Exact<{
            params: import("./contracts/api-types-and-hooks").AdminUserInput;
        }>, options?: unknown): Promise<import("./contracts/api-types-and-hooks").CreateAdminUserMutation>;
        deleteAdminUser(variables: import("./contracts/api-types-and-hooks").Exact<{
            id: string;
        }>, options?: unknown): Promise<import("./contracts/api-types-and-hooks").DeleteAdminUserMutation>;
        updateAdminUser(variables: import("./contracts/api-types-and-hooks").Exact<{
            id: string;
            params: import("./contracts/api-types-and-hooks").AdminUserInput;
        }>, options?: unknown): Promise<import("./contracts/api-types-and-hooks").UpdateAdminUserMutation>;
        getAdminUser(variables: import("./contracts/api-types-and-hooks").Exact<{
            id: string;
        }>, options?: unknown): Promise<import("./contracts/api-types-and-hooks").GetAdminUserQuery>;
        getAdminUsers(variables?: import("./contracts/api-types-and-hooks").Exact<{
            limit?: import("./contracts/api-types-and-hooks").Maybe<number>;
            offset?: import("./contracts/api-types-and-hooks").Maybe<number>;
            filter?: import("./contracts/api-types-and-hooks").Maybe<import("./contracts/api-types-and-hooks").AdminUserFilterInput>;
            sort?: import("./contracts/api-types-and-hooks").Maybe<import("./contracts/api-types-and-hooks").AdminUserSortInput>;
            search?: import("./contracts/api-types-and-hooks").Maybe<string>;
        }> | undefined, options?: unknown): Promise<import("./contracts/api-types-and-hooks").GetAdminUsersQuery>;
        createAnnouncement(variables: import("./contracts/api-types-and-hooks").Exact<{
            params: import("./contracts/api-types-and-hooks").AnnouncementInput;
        }>, options?: unknown): Promise<import("./contracts/api-types-and-hooks").CreateAnnouncementMutation>;
        deleteAnnouncements(variables: import("./contracts/api-types-and-hooks").Exact<{
            ids: string | string[];
        }>, options?: unknown): Promise<import("./contracts/api-types-and-hooks").DeleteAnnouncementsMutation>;
        updateAnnouncement(variables: import("./contracts/api-types-and-hooks").Exact<{
            id: string;
            params: import("./contracts/api-types-and-hooks").AnnouncementInput;
        }>, options?: unknown): Promise<import("./contracts/api-types-and-hooks").UpdateAnnouncementMutation>;
        getAnnouncement(variables: import("./contracts/api-types-and-hooks").Exact<{
            id: string;
        }>, options?: unknown): Promise<import("./contracts/api-types-and-hooks").GetAnnouncementQuery>;
        login(variables: import("./contracts/api-types-and-hooks").Exact<{
            email: string;
            password: string;
        }>, options?: unknown): Promise<import("./contracts/api-types-and-hooks").LoginMutation>;
        archiveContent(variables: import("./contracts/api-types-and-hooks").Exact<{
            id: string;
        }>, options?: unknown): Promise<import("./contracts/api-types-and-hooks").ArchiveContentMutation>;
        createContentCategory(variables: import("./contracts/api-types-and-hooks").Exact<{
            params: import("./contracts/api-types-and-hooks").ContentCategoryInput;
        }>, options?: unknown): Promise<import("./contracts/api-types-and-hooks").CreateContentCategoryMutation>;
        createContent(variables: import("./contracts/api-types-and-hooks").Exact<{
            params: import("./contracts/api-types-and-hooks").ContentInput;
        }>, options?: unknown): Promise<import("./contracts/api-types-and-hooks").CreateContentMutation>;
        deleteContentCategories(variables: import("./contracts/api-types-and-hooks").Exact<{
            ids: string | string[];
        }>, options?: unknown): Promise<import("./contracts/api-types-and-hooks").DeleteContentCategoriesMutation>;
        deleteContents(variables: import("./contracts/api-types-and-hooks").Exact<{
            ids: string | string[];
        }>, options?: unknown): Promise<import("./contracts/api-types-and-hooks").DeleteContentsMutation>;
        draftContent(variables: import("./contracts/api-types-and-hooks").Exact<{
            id: string;
        }>, options?: unknown): Promise<import("./contracts/api-types-and-hooks").DraftContentMutation>;
        publishContent(variables: import("./contracts/api-types-and-hooks").Exact<{
            id: string;
        }>, options?: unknown): Promise<import("./contracts/api-types-and-hooks").PublishContentMutation>;
        updateContentCategory(variables: import("./contracts/api-types-and-hooks").Exact<{
            id: string;
            params: import("./contracts/api-types-and-hooks").ContentCategoryInput;
        }>, options?: unknown): Promise<import("./contracts/api-types-and-hooks").UpdateContentCategoryMutation>;
        updateContent(variables: import("./contracts/api-types-and-hooks").Exact<{
            id: string;
            params: import("./contracts/api-types-and-hooks").ContentInput;
        }>, options?: unknown): Promise<import("./contracts/api-types-and-hooks").UpdateContentMutation>;
        getContentCategories(variables?: import("./contracts/api-types-and-hooks").Exact<{
            limit?: import("./contracts/api-types-and-hooks").Maybe<number>;
            offset?: import("./contracts/api-types-and-hooks").Maybe<number>;
            filter?: import("./contracts/api-types-and-hooks").Maybe<import("./contracts/api-types-and-hooks").ContentCategoryFilterInput>;
            sort?: import("./contracts/api-types-and-hooks").Maybe<import("./contracts/api-types-and-hooks").ContentCategorySortInput>;
            search?: import("./contracts/api-types-and-hooks").Maybe<string>;
        }> | undefined, options?: unknown): Promise<import("./contracts/api-types-and-hooks").GetContentCategoriesQuery>;
        getContentCategory(variables: import("./contracts/api-types-and-hooks").Exact<{
            id: string;
        }>, options?: unknown): Promise<import("./contracts/api-types-and-hooks").GetContentCategoryQuery>;
        getContent(variables: import("./contracts/api-types-and-hooks").Exact<{
            id: string;
        }>, options?: unknown): Promise<import("./contracts/api-types-and-hooks").GetContentQuery>;
        getContentsForSelect(variables: import("./contracts/api-types-and-hooks").Exact<{
            limit?: import("./contracts/api-types-and-hooks").Maybe<number>;
            offset?: import("./contracts/api-types-and-hooks").Maybe<number>;
            filterTitle?: import("./contracts/api-types-and-hooks").Maybe<import("./contracts/api-types-and-hooks").FilterTextInput>;
            sort?: import("./contracts/api-types-and-hooks").Maybe<import("./contracts/api-types-and-hooks").ContentSortInput>;
            selectedIds: string | string[];
        }>, options?: unknown): Promise<import("./contracts/api-types-and-hooks").GetContentsForSelectQuery>;
        getContents(variables?: import("./contracts/api-types-and-hooks").Exact<{
            limit?: import("./contracts/api-types-and-hooks").Maybe<number>;
            offset?: import("./contracts/api-types-and-hooks").Maybe<number>;
            filter?: import("./contracts/api-types-and-hooks").Maybe<import("./contracts/api-types-and-hooks").ContentFilterInput>;
            sort?: import("./contracts/api-types-and-hooks").Maybe<import("./contracts/api-types-and-hooks").ContentSortInput>;
            search?: import("./contracts/api-types-and-hooks").Maybe<string>;
        }> | undefined, options?: unknown): Promise<import("./contracts/api-types-and-hooks").GetContentsQuery>;
        createCustomNotification(variables: import("./contracts/api-types-and-hooks").Exact<{
            params: import("./contracts/api-types-and-hooks").CustomNotificationInput;
            userFilter: import("./contracts/api-types-and-hooks").UserFilterInput;
            userSearch?: import("./contracts/api-types-and-hooks").Maybe<string>;
        }>, options?: unknown): Promise<import("./contracts/api-types-and-hooks").CreateCustomNotificationMutation>;
        deleteCustomNotifications(variables: import("./contracts/api-types-and-hooks").Exact<{
            ids: string | string[];
        }>, options?: unknown): Promise<import("./contracts/api-types-and-hooks").DeleteCustomNotificationsMutation>;
        draftCustomNotification(variables: import("./contracts/api-types-and-hooks").Exact<{
            id: string;
        }>, options?: unknown): Promise<import("./contracts/api-types-and-hooks").DraftCustomNotificationMutation>;
        publishCustomNotification(variables: import("./contracts/api-types-and-hooks").Exact<{
            id: string;
        }>, options?: unknown): Promise<import("./contracts/api-types-and-hooks").PublishCustomNotificationMutation>;
        updateCustomNotification(variables: import("./contracts/api-types-and-hooks").Exact<{
            id: string;
            params: import("./contracts/api-types-and-hooks").CustomNotificationInput;
            userFilter?: import("./contracts/api-types-and-hooks").Maybe<import("./contracts/api-types-and-hooks").UserFilterInput>;
            userSearch?: import("./contracts/api-types-and-hooks").Maybe<string>;
        }>, options?: unknown): Promise<import("./contracts/api-types-and-hooks").UpdateCustomNotificationMutation>;
        getCustomNotification(variables: import("./contracts/api-types-and-hooks").Exact<{
            id: string;
        }>, options?: unknown): Promise<import("./contracts/api-types-and-hooks").GetCustomNotificationQuery>;
        getCustomNotifications(variables?: import("./contracts/api-types-and-hooks").Exact<{
            limit?: import("./contracts/api-types-and-hooks").Maybe<number>;
            offset?: import("./contracts/api-types-and-hooks").Maybe<number>;
            filter?: import("./contracts/api-types-and-hooks").Maybe<import("./contracts/api-types-and-hooks").CustomNotificationFilterInput>;
            sort?: import("./contracts/api-types-and-hooks").Maybe<import("./contracts/api-types-and-hooks").CustomNotificationSortInput>;
            search?: import("./contracts/api-types-and-hooks").Maybe<string>;
        }> | undefined, options?: unknown): Promise<import("./contracts/api-types-and-hooks").GetCustomNotificationsQuery>;
        getPinnedItem(variables?: import("./contracts/api-types-and-hooks").Exact<{
            [key: string]: never;
        }> | undefined, options?: unknown): Promise<import("./contracts/api-types-and-hooks").GetPinnedItemQuery>;
        archiveGiveaway(variables: import("./contracts/api-types-and-hooks").Exact<{
            id: string;
        }>, options?: unknown): Promise<import("./contracts/api-types-and-hooks").ArchiveGiveawayMutation>;
        createGiveaway(variables: import("./contracts/api-types-and-hooks").Exact<{
            params: import("./contracts/api-types-and-hooks").GiveawayInput;
        }>, options?: unknown): Promise<import("./contracts/api-types-and-hooks").CreateGiveawayMutation>;
        deleteGiveaways(variables: import("./contracts/api-types-and-hooks").Exact<{
            ids: string | string[];
        }>, options?: unknown): Promise<import("./contracts/api-types-and-hooks").DeleteGiveawaysMutation>;
        draftGiveaway(variables: import("./contracts/api-types-and-hooks").Exact<{
            id: string;
        }>, options?: unknown): Promise<import("./contracts/api-types-and-hooks").DraftGiveawayMutation>;
        publishGiveaway(variables: import("./contracts/api-types-and-hooks").Exact<{
            id: string;
        }>, options?: unknown): Promise<import("./contracts/api-types-and-hooks").PublishGiveawayMutation>;
        updateGiveaway(variables: import("./contracts/api-types-and-hooks").Exact<{
            id: string;
            params: import("./contracts/api-types-and-hooks").GiveawayInput;
        }>, options?: unknown): Promise<import("./contracts/api-types-and-hooks").UpdateGiveawayMutation>;
        getActiveAndPublishedNftGiveaways(variables?: import("./contracts/api-types-and-hooks").Exact<{
            [key: string]: never;
        }> | undefined, options?: unknown): Promise<import("./contracts/api-types-and-hooks").GetActiveAndPublishedNftGiveawaysQuery>;
        getGiveaway(variables: import("./contracts/api-types-and-hooks").Exact<{
            id: string;
        }>, options?: unknown): Promise<import("./contracts/api-types-and-hooks").GetGiveawayQuery>;
        getGiveaways(variables?: import("./contracts/api-types-and-hooks").Exact<{
            limit?: import("./contracts/api-types-and-hooks").Maybe<number>;
            offset?: import("./contracts/api-types-and-hooks").Maybe<number>;
            filter?: import("./contracts/api-types-and-hooks").Maybe<import("./contracts/api-types-and-hooks").GiveawayFilterInput>;
            sort?: import("./contracts/api-types-and-hooks").Maybe<import("./contracts/api-types-and-hooks").GiveawaySortInput>;
            search?: import("./contracts/api-types-and-hooks").Maybe<string>;
        }> | undefined, options?: unknown): Promise<import("./contracts/api-types-and-hooks").GetGiveawaysQuery>;
        getMe(variables?: import("./contracts/api-types-and-hooks").Exact<{
            [key: string]: never;
        }> | undefined, options?: unknown): Promise<import("./contracts/api-types-and-hooks").GetMeQuery>;
        createContentMedium(variables: import("./contracts/api-types-and-hooks").Exact<{
            params: import("./contracts/api-types-and-hooks").ContentMediumInput;
        }>, options?: unknown): Promise<import("./contracts/api-types-and-hooks").CreateContentMediumMutation>;
        deleteContentMedia(variables: import("./contracts/api-types-and-hooks").Exact<{
            ids: string | string[];
        }>, options?: unknown): Promise<import("./contracts/api-types-and-hooks").DeleteContentMediaMutation>;
        refreshOembedData(variables: import("./contracts/api-types-and-hooks").Exact<{
            id: string;
        }>, options?: unknown): Promise<import("./contracts/api-types-and-hooks").RefreshOembedDataMutation>;
        updateContentMedium(variables: import("./contracts/api-types-and-hooks").Exact<{
            id: string;
            params: import("./contracts/api-types-and-hooks").ContentMediumInput;
        }>, options?: unknown): Promise<import("./contracts/api-types-and-hooks").UpdateContentMediumMutation>;
        getMediaUploadUrl(variables: import("./contracts/api-types-and-hooks").Exact<{
            fileName: string;
            fileExt: string;
            mediumId?: import("./contracts/api-types-and-hooks").Maybe<string>;
        }>, options?: unknown): Promise<import("./contracts/api-types-and-hooks").GetMediaUploadUrlMutation>;
        getContentMedia(variables?: import("./contracts/api-types-and-hooks").Exact<{
            limit?: import("./contracts/api-types-and-hooks").Maybe<number>;
            offset?: import("./contracts/api-types-and-hooks").Maybe<number>;
            filter?: import("./contracts/api-types-and-hooks").Maybe<import("./contracts/api-types-and-hooks").ContentMediumFilterInput>;
            sort?: import("./contracts/api-types-and-hooks").Maybe<import("./contracts/api-types-and-hooks").ContentMediumSortInput>;
            search?: import("./contracts/api-types-and-hooks").Maybe<string>;
        }> | undefined, options?: unknown): Promise<import("./contracts/api-types-and-hooks").GetContentMediaQuery>;
        getContentMedium(variables: import("./contracts/api-types-and-hooks").Exact<{
            id: string;
        }>, options?: unknown): Promise<import("./contracts/api-types-and-hooks").GetContentMediumQuery>;
        createMenuItem(variables: import("./contracts/api-types-and-hooks").Exact<{
            params: import("./contracts/api-types-and-hooks").MenuItemInput;
        }>, options?: unknown): Promise<import("./contracts/api-types-and-hooks").CreateMenuItemMutation>;
        deleteMenuItems(variables: import("./contracts/api-types-and-hooks").Exact<{
            ids: string | string[];
        }>, options?: unknown): Promise<import("./contracts/api-types-and-hooks").DeleteMenuItemsMutation>;
        updateMenuItem(variables: import("./contracts/api-types-and-hooks").Exact<{
            id: string;
            params: import("./contracts/api-types-and-hooks").MenuItemInput;
        }>, options?: unknown): Promise<import("./contracts/api-types-and-hooks").UpdateMenuItemMutation>;
        updateMenuItems(variables: import("./contracts/api-types-and-hooks").Exact<{
            params: import("./contracts/api-types-and-hooks").MenuItemInput | import("./contracts/api-types-and-hooks").MenuItemInput[];
        }>, options?: unknown): Promise<import("./contracts/api-types-and-hooks").UpdateMenuItemsMutation>;
        getMenuItems(variables?: import("./contracts/api-types-and-hooks").Exact<{
            limit?: import("./contracts/api-types-and-hooks").Maybe<number>;
            offset?: import("./contracts/api-types-and-hooks").Maybe<number>;
            filter?: import("./contracts/api-types-and-hooks").Maybe<import("./contracts/api-types-and-hooks").MenuItemFilterInput>;
        }> | undefined, options?: unknown): Promise<import("./contracts/api-types-and-hooks").GetMenuItemsQuery>;
        createProposalPeriod(variables: import("./contracts/api-types-and-hooks").Exact<{
            params: import("./contracts/api-types-and-hooks").ProposalPeriodInput;
        }>, options?: unknown): Promise<import("./contracts/api-types-and-hooks").CreateProposalPeriodMutation>;
        deleteProposalPeriods(variables: import("./contracts/api-types-and-hooks").Exact<{
            ids: string | string[];
        }>, options?: unknown): Promise<import("./contracts/api-types-and-hooks").DeleteProposalPeriodsMutation>;
        updateAmaQuestion(variables: import("./contracts/api-types-and-hooks").Exact<{
            id: string;
            params: import("./contracts/api-types-and-hooks").AmaQuestionInput;
        }>, options?: unknown): Promise<import("./contracts/api-types-and-hooks").UpdateAmaQuestionMutation>;
        updateComment(variables: import("./contracts/api-types-and-hooks").Exact<{
            id: string;
            params: import("./contracts/api-types-and-hooks").CommentInput;
        }>, options?: unknown): Promise<import("./contracts/api-types-and-hooks").UpdateCommentMutation>;
        updateFanGroup(variables: import("./contracts/api-types-and-hooks").Exact<{
            id: string;
            params: import("./contracts/api-types-and-hooks").FanGroupInput;
        }>, options?: unknown): Promise<import("./contracts/api-types-and-hooks").UpdateFanGroupMutation>;
        updateGroupPost(variables: import("./contracts/api-types-and-hooks").Exact<{
            id: string;
            params: import("./contracts/api-types-and-hooks").GroupPostInput;
        }>, options?: unknown): Promise<import("./contracts/api-types-and-hooks").UpdateGroupPostMutation>;
        updateIdea(variables: import("./contracts/api-types-and-hooks").Exact<{
            id: string;
            params: import("./contracts/api-types-and-hooks").IdeaInput;
        }>, options?: unknown): Promise<import("./contracts/api-types-and-hooks").UpdateIdeaMutation>;
        updateProposalPeriod(variables: import("./contracts/api-types-and-hooks").Exact<{
            id: string;
            params: import("./contracts/api-types-and-hooks").ProposalPeriodInput;
        }>, options?: unknown): Promise<import("./contracts/api-types-and-hooks").UpdateProposalPeriodMutation>;
        updateProposal(variables: import("./contracts/api-types-and-hooks").Exact<{
            id: string;
            params: import("./contracts/api-types-and-hooks").ProposalInput;
        }>, options?: unknown): Promise<import("./contracts/api-types-and-hooks").UpdateProposalMutation>;
        getAmaQuestion(variables: import("./contracts/api-types-and-hooks").Exact<{
            id: string;
        }>, options?: unknown): Promise<import("./contracts/api-types-and-hooks").GetAmaQuestionQuery>;
        getAmaQuestions(variables?: import("./contracts/api-types-and-hooks").Exact<{
            limit?: import("./contracts/api-types-and-hooks").Maybe<number>;
            offset?: import("./contracts/api-types-and-hooks").Maybe<number>;
            filter?: import("./contracts/api-types-and-hooks").Maybe<import("./contracts/api-types-and-hooks").AmaQuestionFilterInput>;
            sort?: import("./contracts/api-types-and-hooks").Maybe<import("./contracts/api-types-and-hooks").AmaQuestionSortInput>;
            search?: import("./contracts/api-types-and-hooks").Maybe<string>;
        }> | undefined, options?: unknown): Promise<import("./contracts/api-types-and-hooks").GetAmaQuestionsQuery>;
        getComment(variables: import("./contracts/api-types-and-hooks").Exact<{
            id: string;
        }>, options?: unknown): Promise<import("./contracts/api-types-and-hooks").GetCommentQuery>;
        getComments(variables?: import("./contracts/api-types-and-hooks").Exact<{
            limit?: import("./contracts/api-types-and-hooks").Maybe<number>;
            offset?: import("./contracts/api-types-and-hooks").Maybe<number>;
            filter?: import("./contracts/api-types-and-hooks").Maybe<import("./contracts/api-types-and-hooks").CommentFilterInput>;
            sort?: import("./contracts/api-types-and-hooks").Maybe<import("./contracts/api-types-and-hooks").CommentSortInput>;
            search?: import("./contracts/api-types-and-hooks").Maybe<string>;
        }> | undefined, options?: unknown): Promise<import("./contracts/api-types-and-hooks").GetCommentsQuery>;
        getFanGroupUsers(variables?: import("./contracts/api-types-and-hooks").Exact<{
            limit?: import("./contracts/api-types-and-hooks").Maybe<number>;
            offset?: import("./contracts/api-types-and-hooks").Maybe<number>;
            filter?: import("./contracts/api-types-and-hooks").Maybe<import("./contracts/api-types-and-hooks").FanGroupUserFilterInput>;
            sort?: import("./contracts/api-types-and-hooks").Maybe<import("./contracts/api-types-and-hooks").FanGroupUserSortInput>;
            search?: import("./contracts/api-types-and-hooks").Maybe<string>;
        }> | undefined, options?: unknown): Promise<import("./contracts/api-types-and-hooks").GetFanGroupUsersQuery>;
        getFanGroup(variables: import("./contracts/api-types-and-hooks").Exact<{
            id: string;
        }>, options?: unknown): Promise<import("./contracts/api-types-and-hooks").GetFanGroupQuery>;
        getFanGroupsForSelect(variables: import("./contracts/api-types-and-hooks").Exact<{
            limit?: import("./contracts/api-types-and-hooks").Maybe<number>;
            offset?: import("./contracts/api-types-and-hooks").Maybe<number>;
            filterTitle?: import("./contracts/api-types-and-hooks").Maybe<import("./contracts/api-types-and-hooks").FilterTextInput>;
            sort?: import("./contracts/api-types-and-hooks").Maybe<import("./contracts/api-types-and-hooks").FanGroupSortInput>;
            selectedIds: string | string[];
        }>, options?: unknown): Promise<import("./contracts/api-types-and-hooks").GetFanGroupsForSelectQuery>;
        getFanGroups(variables?: import("./contracts/api-types-and-hooks").Exact<{
            limit?: import("./contracts/api-types-and-hooks").Maybe<number>;
            offset?: import("./contracts/api-types-and-hooks").Maybe<number>;
            filter?: import("./contracts/api-types-and-hooks").Maybe<import("./contracts/api-types-and-hooks").FanGroupFilterInput>;
            sort?: import("./contracts/api-types-and-hooks").Maybe<import("./contracts/api-types-and-hooks").FanGroupSortInput>;
            search?: import("./contracts/api-types-and-hooks").Maybe<string>;
        }> | undefined, options?: unknown): Promise<import("./contracts/api-types-and-hooks").GetFanGroupsQuery>;
        getGroupPost(variables: import("./contracts/api-types-and-hooks").Exact<{
            id: string;
        }>, options?: unknown): Promise<import("./contracts/api-types-and-hooks").GetGroupPostQuery>;
        getGroupPosts(variables?: import("./contracts/api-types-and-hooks").Exact<{
            limit?: import("./contracts/api-types-and-hooks").Maybe<number>;
            offset?: import("./contracts/api-types-and-hooks").Maybe<number>;
            filter?: import("./contracts/api-types-and-hooks").Maybe<import("./contracts/api-types-and-hooks").GroupPostFilterInput>;
            sort?: import("./contracts/api-types-and-hooks").Maybe<import("./contracts/api-types-and-hooks").GroupPostSortInput>;
            search?: import("./contracts/api-types-and-hooks").Maybe<string>;
        }> | undefined, options?: unknown): Promise<import("./contracts/api-types-and-hooks").GetGroupPostsQuery>;
        getIdea(variables: import("./contracts/api-types-and-hooks").Exact<{
            id: string;
        }>, options?: unknown): Promise<import("./contracts/api-types-and-hooks").GetIdeaQuery>;
        getIdeas(variables?: import("./contracts/api-types-and-hooks").Exact<{
            limit?: import("./contracts/api-types-and-hooks").Maybe<number>;
            offset?: import("./contracts/api-types-and-hooks").Maybe<number>;
            filter?: import("./contracts/api-types-and-hooks").Maybe<import("./contracts/api-types-and-hooks").IdeaFilterInput>;
            sort?: import("./contracts/api-types-and-hooks").Maybe<import("./contracts/api-types-and-hooks").IdeaSortInput>;
            search?: import("./contracts/api-types-and-hooks").Maybe<string>;
        }> | undefined, options?: unknown): Promise<import("./contracts/api-types-and-hooks").GetIdeasQuery>;
        getProposalPeriod(variables: import("./contracts/api-types-and-hooks").Exact<{
            id: string;
        }>, options?: unknown): Promise<import("./contracts/api-types-and-hooks").GetProposalPeriodQuery>;
        getProposalPeriods(variables?: import("./contracts/api-types-and-hooks").Exact<{
            limit?: import("./contracts/api-types-and-hooks").Maybe<number>;
            offset?: import("./contracts/api-types-and-hooks").Maybe<number>;
            filter?: import("./contracts/api-types-and-hooks").Maybe<import("./contracts/api-types-and-hooks").ProposalPeriodFilterInput>;
            sort?: import("./contracts/api-types-and-hooks").Maybe<import("./contracts/api-types-and-hooks").ProposalPeriodSortInput>;
            search?: import("./contracts/api-types-and-hooks").Maybe<string>;
        }> | undefined, options?: unknown): Promise<import("./contracts/api-types-and-hooks").GetProposalPeriodsQuery>;
        getProposal(variables: import("./contracts/api-types-and-hooks").Exact<{
            id: string;
        }>, options?: unknown): Promise<import("./contracts/api-types-and-hooks").GetProposalQuery>;
        getProposals(variables?: import("./contracts/api-types-and-hooks").Exact<{
            limit?: import("./contracts/api-types-and-hooks").Maybe<number>;
            offset?: import("./contracts/api-types-and-hooks").Maybe<number>;
            filter?: import("./contracts/api-types-and-hooks").Maybe<import("./contracts/api-types-and-hooks").ProposalFilterInput>;
            sort?: import("./contracts/api-types-and-hooks").Maybe<import("./contracts/api-types-and-hooks").ProposalSortInput>;
            search?: import("./contracts/api-types-and-hooks").Maybe<string>;
        }> | undefined, options?: unknown): Promise<import("./contracts/api-types-and-hooks").GetProposalsQuery>;
        getUgcReportMetas(variables?: import("./contracts/api-types-and-hooks").Exact<{
            [key: string]: never;
        }> | undefined, options?: unknown): Promise<import("./contracts/api-types-and-hooks").GetUgcReportMetasQuery>;
        getUgcReport(variables: import("./contracts/api-types-and-hooks").Exact<{
            id: string;
        }>, options?: unknown): Promise<import("./contracts/api-types-and-hooks").GetUgcReportQuery>;
        getUgcReports(variables?: import("./contracts/api-types-and-hooks").Exact<{
            limit?: import("./contracts/api-types-and-hooks").Maybe<number>;
            offset?: import("./contracts/api-types-and-hooks").Maybe<number>;
            filter?: import("./contracts/api-types-and-hooks").Maybe<import("./contracts/api-types-and-hooks").UgcReportFilterInput>;
            sort?: import("./contracts/api-types-and-hooks").Maybe<import("./contracts/api-types-and-hooks").UgcReportSortInput>;
            search?: import("./contracts/api-types-and-hooks").Maybe<string>;
        }> | undefined, options?: unknown): Promise<import("./contracts/api-types-and-hooks").GetUgcReportsQuery>;
        getNftBenefitRedemptions(variables?: import("./contracts/api-types-and-hooks").Exact<{
            limit?: import("./contracts/api-types-and-hooks").Maybe<number>;
            offset?: import("./contracts/api-types-and-hooks").Maybe<number>;
            filter?: import("./contracts/api-types-and-hooks").Maybe<import("./contracts/api-types-and-hooks").NftBenefitRedemptionFilterInput>;
            sort?: import("./contracts/api-types-and-hooks").Maybe<import("./contracts/api-types-and-hooks").NftBenefitRedemptionSortInput>;
            search?: import("./contracts/api-types-and-hooks").Maybe<string>;
        }> | undefined, options?: unknown): Promise<import("./contracts/api-types-and-hooks").GetNftBenefitRedemptionsQuery>;
        createNftHandout(variables: import("./contracts/api-types-and-hooks").Exact<{
            params: import("./contracts/api-types-and-hooks").NftHandoutInput;
            userFilter: import("./contracts/api-types-and-hooks").UserFilterInput;
            userSearch?: import("./contracts/api-types-and-hooks").Maybe<string>;
        }>, options?: unknown): Promise<import("./contracts/api-types-and-hooks").CreateNftHandoutMutation>;
        deleteNftHandouts(variables: import("./contracts/api-types-and-hooks").Exact<{
            ids: string | string[];
        }>, options?: unknown): Promise<import("./contracts/api-types-and-hooks").DeleteNftHandoutsMutation>;
        draftNftHandout(variables: import("./contracts/api-types-and-hooks").Exact<{
            id: string;
        }>, options?: unknown): Promise<import("./contracts/api-types-and-hooks").DraftNftHandoutMutation>;
        publishNftHandout(variables: import("./contracts/api-types-and-hooks").Exact<{
            id: string;
        }>, options?: unknown): Promise<import("./contracts/api-types-and-hooks").PublishNftHandoutMutation>;
        updateNftHandout(variables: import("./contracts/api-types-and-hooks").Exact<{
            id: string;
            params: import("./contracts/api-types-and-hooks").NftHandoutInput;
            userFilter?: import("./contracts/api-types-and-hooks").Maybe<import("./contracts/api-types-and-hooks").UserFilterInput>;
            userSearch?: import("./contracts/api-types-and-hooks").Maybe<string>;
        }>, options?: unknown): Promise<import("./contracts/api-types-and-hooks").UpdateNftHandoutMutation>;
        getNftHandoutUsers(variables?: import("./contracts/api-types-and-hooks").Exact<{
            limit?: import("./contracts/api-types-and-hooks").Maybe<number>;
            offset?: import("./contracts/api-types-and-hooks").Maybe<number>;
            filter?: import("./contracts/api-types-and-hooks").Maybe<import("./contracts/api-types-and-hooks").NftHandoutUserFilterInput>;
            sort?: import("./contracts/api-types-and-hooks").Maybe<import("./contracts/api-types-and-hooks").NftHandoutUserSortInput>;
        }> | undefined, options?: unknown): Promise<import("./contracts/api-types-and-hooks").GetNftHandoutUsersQuery>;
        getNftHandout(variables: import("./contracts/api-types-and-hooks").Exact<{
            id: string;
        }>, options?: unknown): Promise<import("./contracts/api-types-and-hooks").GetNftHandoutQuery>;
        getNftHandouts(variables?: import("./contracts/api-types-and-hooks").Exact<{
            limit?: import("./contracts/api-types-and-hooks").Maybe<number>;
            offset?: import("./contracts/api-types-and-hooks").Maybe<number>;
            filter?: import("./contracts/api-types-and-hooks").Maybe<import("./contracts/api-types-and-hooks").NftHandoutFilterInput>;
            sort?: import("./contracts/api-types-and-hooks").Maybe<import("./contracts/api-types-and-hooks").NftHandoutSortInput>;
            search?: import("./contracts/api-types-and-hooks").Maybe<string>;
        }> | undefined, options?: unknown): Promise<import("./contracts/api-types-and-hooks").GetNftHandoutsQuery>;
        createNftTransferNetwork(variables: import("./contracts/api-types-and-hooks").Exact<{
            params: import("./contracts/api-types-and-hooks").NftTransferNetworkInput;
        }>, options?: unknown): Promise<import("./contracts/api-types-and-hooks").CreateNftTransferNetworkMutation>;
        updateNftTransferNetwork(variables: import("./contracts/api-types-and-hooks").Exact<{
            id: string;
            params: import("./contracts/api-types-and-hooks").NftTransferNetworkInput;
        }>, options?: unknown): Promise<import("./contracts/api-types-and-hooks").UpdateNftTransferNetworkMutation>;
        getNftTransferNetwork(variables: import("./contracts/api-types-and-hooks").Exact<{
            id: string;
        }>, options?: unknown): Promise<import("./contracts/api-types-and-hooks").GetNftTransferNetworkQuery>;
        getNftTransferNetworks(variables?: import("./contracts/api-types-and-hooks").Exact<{
            limit?: import("./contracts/api-types-and-hooks").Maybe<number>;
            offset?: import("./contracts/api-types-and-hooks").Maybe<number>;
            filter?: import("./contracts/api-types-and-hooks").Maybe<import("./contracts/api-types-and-hooks").NftTransferNetworkFilterInput>;
            sort?: import("./contracts/api-types-and-hooks").Maybe<import("./contracts/api-types-and-hooks").NftTransferNetworkSortInput>;
            search?: import("./contracts/api-types-and-hooks").Maybe<string>;
        }> | undefined, options?: unknown): Promise<import("./contracts/api-types-and-hooks").GetNftTransferNetworksQuery>;
        getNftUsers(variables?: import("./contracts/api-types-and-hooks").Exact<{
            limit?: import("./contracts/api-types-and-hooks").Maybe<number>;
            offset?: import("./contracts/api-types-and-hooks").Maybe<number>;
            filter?: import("./contracts/api-types-and-hooks").Maybe<import("./contracts/api-types-and-hooks").NftUserFilterInput>;
            sort?: import("./contracts/api-types-and-hooks").Maybe<import("./contracts/api-types-and-hooks").NftUserSortInput>;
            search?: import("./contracts/api-types-and-hooks").Maybe<string>;
        }> | undefined, options?: unknown): Promise<import("./contracts/api-types-and-hooks").GetNftUsersQuery>;
        addNftsToCollection(variables: import("./contracts/api-types-and-hooks").Exact<{
            collectionId: string;
            nftFilter?: import("./contracts/api-types-and-hooks").Maybe<import("./contracts/api-types-and-hooks").NftFilterInput>;
            nftSearch?: import("./contracts/api-types-and-hooks").Maybe<string>;
        }>, options?: unknown): Promise<import("./contracts/api-types-and-hooks").AddNftsToCollectionMutation>;
        archiveNftCollection(variables: import("./contracts/api-types-and-hooks").Exact<{
            id: string;
        }>, options?: unknown): Promise<import("./contracts/api-types-and-hooks").ArchiveNftCollectionMutation>;
        createNftCollectionDeployment(variables: import("./contracts/api-types-and-hooks").Exact<{
            params: import("./contracts/api-types-and-hooks").NftCollectionDeploymentInput;
        }>, options?: unknown): Promise<import("./contracts/api-types-and-hooks").CreateNftCollectionDeploymentMutation>;
        createNftCollection(variables: import("./contracts/api-types-and-hooks").Exact<{
            params: import("./contracts/api-types-and-hooks").NftCollectionInput;
        }>, options?: unknown): Promise<import("./contracts/api-types-and-hooks").CreateNftCollectionMutation>;
        createNftMedium(variables: import("./contracts/api-types-and-hooks").Exact<{
            params: import("./contracts/api-types-and-hooks").NftMediumInput;
        }>, options?: unknown): Promise<import("./contracts/api-types-and-hooks").CreateNftMediumMutation>;
        createNft(variables: import("./contracts/api-types-and-hooks").Exact<{
            params: import("./contracts/api-types-and-hooks").NftInput;
        }>, options?: unknown): Promise<import("./contracts/api-types-and-hooks").CreateNftMutation>;
        deleteNftCollections(variables: import("./contracts/api-types-and-hooks").Exact<{
            ids: string | string[];
        }>, options?: unknown): Promise<import("./contracts/api-types-and-hooks").DeleteNftCollectionsMutation>;
        deleteNftMedia(variables: import("./contracts/api-types-and-hooks").Exact<{
            ids: string | string[];
        }>, options?: unknown): Promise<import("./contracts/api-types-and-hooks").DeleteNftMediaMutation>;
        deleteNfts(variables: import("./contracts/api-types-and-hooks").Exact<{
            ids: string | string[];
        }>, options?: unknown): Promise<import("./contracts/api-types-and-hooks").DeleteNftsMutation>;
        mintNftCollection(variables: import("./contracts/api-types-and-hooks").Exact<{
            id: string;
        }>, options?: unknown): Promise<import("./contracts/api-types-and-hooks").MintNftCollectionMutation>;
        mintNft(variables: import("./contracts/api-types-and-hooks").Exact<{
            id: string;
        }>, options?: unknown): Promise<import("./contracts/api-types-and-hooks").MintNftMutation>;
        publishNftCollection(variables: import("./contracts/api-types-and-hooks").Exact<{
            id: string;
        }>, options?: unknown): Promise<import("./contracts/api-types-and-hooks").PublishNftCollectionMutation>;
        requestNftCollectionMetadataUri(variables: import("./contracts/api-types-and-hooks").Exact<{
            id: string;
        }>, options?: unknown): Promise<import("./contracts/api-types-and-hooks").RequestNftCollectionMetadataUriMutation>;
        updateNftCollectionDeployment(variables: import("./contracts/api-types-and-hooks").Exact<{
            id: string;
            params: import("./contracts/api-types-and-hooks").NftCollectionDeploymentInput;
        }>, options?: unknown): Promise<import("./contracts/api-types-and-hooks").UpdateNftCollectionDeploymentMutation>;
        updateNftCollection(variables: import("./contracts/api-types-and-hooks").Exact<{
            id: string;
            params: import("./contracts/api-types-and-hooks").NftCollectionInput;
        }>, options?: unknown): Promise<import("./contracts/api-types-and-hooks").UpdateNftCollectionMutation>;
        updateNftMedium(variables: import("./contracts/api-types-and-hooks").Exact<{
            id: string;
            params: import("./contracts/api-types-and-hooks").NftMediumInput;
        }>, options?: unknown): Promise<import("./contracts/api-types-and-hooks").UpdateNftMediumMutation>;
        updateNft(variables: import("./contracts/api-types-and-hooks").Exact<{
            id: string;
            params: import("./contracts/api-types-and-hooks").NftInput;
        }>, options?: unknown): Promise<import("./contracts/api-types-and-hooks").UpdateNftMutation>;
        updateNftsVisibility(variables: import("./contracts/api-types-and-hooks").Exact<{
            visible: boolean;
            nftFilter?: import("./contracts/api-types-and-hooks").Maybe<import("./contracts/api-types-and-hooks").NftFilterInput>;
            nftSearch?: import("./contracts/api-types-and-hooks").Maybe<string>;
        }>, options?: unknown): Promise<import("./contracts/api-types-and-hooks").UpdateNftsVisibilityMutation>;
        getNftCollection(variables: import("./contracts/api-types-and-hooks").Exact<{
            id: string;
        }>, options?: unknown): Promise<import("./contracts/api-types-and-hooks").GetNftCollectionQuery>;
        getNftCollectionsForSelect(variables: import("./contracts/api-types-and-hooks").Exact<{
            limit?: import("./contracts/api-types-and-hooks").Maybe<number>;
            offset?: import("./contracts/api-types-and-hooks").Maybe<number>;
            filterTitle?: import("./contracts/api-types-and-hooks").Maybe<import("./contracts/api-types-and-hooks").FilterTextInput>;
            sort?: import("./contracts/api-types-and-hooks").Maybe<import("./contracts/api-types-and-hooks").NftCollectionSortInput>;
            selectedIds: string | string[];
        }>, options?: unknown): Promise<import("./contracts/api-types-and-hooks").GetNftCollectionsForSelectQuery>;
        getNftCollections(variables?: import("./contracts/api-types-and-hooks").Exact<{
            limit?: import("./contracts/api-types-and-hooks").Maybe<number>;
            offset?: import("./contracts/api-types-and-hooks").Maybe<number>;
            filter?: import("./contracts/api-types-and-hooks").Maybe<import("./contracts/api-types-and-hooks").NftCollectionFilterInput>;
            sort?: import("./contracts/api-types-and-hooks").Maybe<import("./contracts/api-types-and-hooks").NftCollectionSortInput>;
            search?: import("./contracts/api-types-and-hooks").Maybe<string>;
        }> | undefined, options?: unknown): Promise<import("./contracts/api-types-and-hooks").GetNftCollectionsQuery>;
        getNftMedia(variables?: import("./contracts/api-types-and-hooks").Exact<{
            limit?: import("./contracts/api-types-and-hooks").Maybe<number>;
            offset?: import("./contracts/api-types-and-hooks").Maybe<number>;
            filter?: import("./contracts/api-types-and-hooks").Maybe<import("./contracts/api-types-and-hooks").NftMediumFilterInput>;
            sort?: import("./contracts/api-types-and-hooks").Maybe<import("./contracts/api-types-and-hooks").NftMediumSortInput>;
            search?: import("./contracts/api-types-and-hooks").Maybe<string>;
        }> | undefined, options?: unknown): Promise<import("./contracts/api-types-and-hooks").GetNftMediaQuery>;
        getNftMedium(variables: import("./contracts/api-types-and-hooks").Exact<{
            id: string;
        }>, options?: unknown): Promise<import("./contracts/api-types-and-hooks").GetNftMediumQuery>;
        getNftRarities(variables?: import("./contracts/api-types-and-hooks").Exact<{
            [key: string]: never;
        }> | undefined, options?: unknown): Promise<import("./contracts/api-types-and-hooks").GetNftRaritiesQuery>;
        getNft(variables: import("./contracts/api-types-and-hooks").Exact<{
            id: string;
        }>, options?: unknown): Promise<import("./contracts/api-types-and-hooks").GetNftQuery>;
        getNftsForSelect(variables?: import("./contracts/api-types-and-hooks").Exact<{
            limit?: import("./contracts/api-types-and-hooks").Maybe<number>;
            offset?: import("./contracts/api-types-and-hooks").Maybe<number>;
            filter?: import("./contracts/api-types-and-hooks").Maybe<import("./contracts/api-types-and-hooks").NftFilterInput>;
            sort?: import("./contracts/api-types-and-hooks").Maybe<import("./contracts/api-types-and-hooks").NftSortInput>;
        }> | undefined, options?: unknown): Promise<import("./contracts/api-types-and-hooks").GetNftsForSelectQuery>;
        getNfts(variables?: import("./contracts/api-types-and-hooks").Exact<{
            limit?: import("./contracts/api-types-and-hooks").Maybe<number>;
            offset?: import("./contracts/api-types-and-hooks").Maybe<number>;
            filter?: import("./contracts/api-types-and-hooks").Maybe<import("./contracts/api-types-and-hooks").NftFilterInput>;
            sort?: import("./contracts/api-types-and-hooks").Maybe<import("./contracts/api-types-and-hooks").NftSortInput>;
            search?: import("./contracts/api-types-and-hooks").Maybe<string>;
        }> | undefined, options?: unknown): Promise<import("./contracts/api-types-and-hooks").GetNftsQuery>;
        archiveAmaSession(variables: import("./contracts/api-types-and-hooks").Exact<{
            id: string;
        }>, options?: unknown): Promise<import("./contracts/api-types-and-hooks").ArchiveAmaSessionMutation>;
        archiveIdeationMission(variables: import("./contracts/api-types-and-hooks").Exact<{
            id: string;
        }>, options?: unknown): Promise<import("./contracts/api-types-and-hooks").ArchiveIdeationMissionMutation>;
        archiveVoting(variables: import("./contracts/api-types-and-hooks").Exact<{
            id: string;
        }>, options?: unknown): Promise<import("./contracts/api-types-and-hooks").ArchiveVotingMutation>;
        createAmaSession(variables: import("./contracts/api-types-and-hooks").Exact<{
            params: import("./contracts/api-types-and-hooks").AmaSessionInput;
        }>, options?: unknown): Promise<import("./contracts/api-types-and-hooks").CreateAmaSessionMutation>;
        createIdeationMission(variables: import("./contracts/api-types-and-hooks").Exact<{
            params: import("./contracts/api-types-and-hooks").IdeationMissionInput;
        }>, options?: unknown): Promise<import("./contracts/api-types-and-hooks").CreateIdeationMissionMutation>;
        createVoting(variables: import("./contracts/api-types-and-hooks").Exact<{
            params: import("./contracts/api-types-and-hooks").VotingInput;
        }>, options?: unknown): Promise<import("./contracts/api-types-and-hooks").CreateVotingMutation>;
        deleteAmaSessions(variables: import("./contracts/api-types-and-hooks").Exact<{
            ids: string | string[];
        }>, options?: unknown): Promise<import("./contracts/api-types-and-hooks").DeleteAmaSessionsMutation>;
        deleteIdeationMissions(variables: import("./contracts/api-types-and-hooks").Exact<{
            ids: string | string[];
        }>, options?: unknown): Promise<import("./contracts/api-types-and-hooks").DeleteIdeationMissionsMutation>;
        deleteVotings(variables: import("./contracts/api-types-and-hooks").Exact<{
            ids: string | string[];
        }>, options?: unknown): Promise<import("./contracts/api-types-and-hooks").DeleteVotingsMutation>;
        distributeVoting(variables: import("./contracts/api-types-and-hooks").Exact<{
            id: string;
        }>, options?: unknown): Promise<import("./contracts/api-types-and-hooks").DistributeVotingMutation>;
        draftAmaSession(variables: import("./contracts/api-types-and-hooks").Exact<{
            id: string;
        }>, options?: unknown): Promise<import("./contracts/api-types-and-hooks").DraftAmaSessionMutation>;
        draftIdeationMission(variables: import("./contracts/api-types-and-hooks").Exact<{
            id: string;
        }>, options?: unknown): Promise<import("./contracts/api-types-and-hooks").DraftIdeationMissionMutation>;
        draftVoting(variables: import("./contracts/api-types-and-hooks").Exact<{
            id: string;
        }>, options?: unknown): Promise<import("./contracts/api-types-and-hooks").DraftVotingMutation>;
        publishAmaSession(variables: import("./contracts/api-types-and-hooks").Exact<{
            id: string;
        }>, options?: unknown): Promise<import("./contracts/api-types-and-hooks").PublishAmaSessionMutation>;
        publishIdeationMission(variables: import("./contracts/api-types-and-hooks").Exact<{
            id: string;
        }>, options?: unknown): Promise<import("./contracts/api-types-and-hooks").PublishIdeationMissionMutation>;
        publishVoting(variables: import("./contracts/api-types-and-hooks").Exact<{
            id: string;
        }>, options?: unknown): Promise<import("./contracts/api-types-and-hooks").PublishVotingMutation>;
        refundVoting(variables: import("./contracts/api-types-and-hooks").Exact<{
            id: string;
        }>, options?: unknown): Promise<import("./contracts/api-types-and-hooks").RefundVotingMutation>;
        updateAmaSession(variables: import("./contracts/api-types-and-hooks").Exact<{
            id: string;
            params: import("./contracts/api-types-and-hooks").AmaSessionInput;
        }>, options?: unknown): Promise<import("./contracts/api-types-and-hooks").UpdateAmaSessionMutation>;
        updateIdeationMission(variables: import("./contracts/api-types-and-hooks").Exact<{
            id: string;
            params: import("./contracts/api-types-and-hooks").IdeationMissionInput;
        }>, options?: unknown): Promise<import("./contracts/api-types-and-hooks").UpdateIdeationMissionMutation>;
        updateVoting(variables: import("./contracts/api-types-and-hooks").Exact<{
            id: string;
            params: import("./contracts/api-types-and-hooks").VotingInput;
        }>, options?: unknown): Promise<import("./contracts/api-types-and-hooks").UpdateVotingMutation>;
        getAmaSession(variables: import("./contracts/api-types-and-hooks").Exact<{
            id: string;
        }>, options?: unknown): Promise<import("./contracts/api-types-and-hooks").GetAmaSessionQuery>;
        getAmaSessionsForSelect(variables: import("./contracts/api-types-and-hooks").Exact<{
            limit?: import("./contracts/api-types-and-hooks").Maybe<number>;
            offset?: import("./contracts/api-types-and-hooks").Maybe<number>;
            filterTitle?: import("./contracts/api-types-and-hooks").Maybe<import("./contracts/api-types-and-hooks").FilterTextInput>;
            sort?: import("./contracts/api-types-and-hooks").Maybe<import("./contracts/api-types-and-hooks").AmaSessionSortInput>;
            selectedIds: string | string[];
        }>, options?: unknown): Promise<import("./contracts/api-types-and-hooks").GetAmaSessionsForSelectQuery>;
        getAmaSessions(variables?: import("./contracts/api-types-and-hooks").Exact<{
            limit?: import("./contracts/api-types-and-hooks").Maybe<number>;
            offset?: import("./contracts/api-types-and-hooks").Maybe<number>;
            filter?: import("./contracts/api-types-and-hooks").Maybe<import("./contracts/api-types-and-hooks").AmaSessionFilterInput>;
            sort?: import("./contracts/api-types-and-hooks").Maybe<import("./contracts/api-types-and-hooks").AmaSessionSortInput>;
            search?: import("./contracts/api-types-and-hooks").Maybe<string>;
        }> | undefined, options?: unknown): Promise<import("./contracts/api-types-and-hooks").GetAmaSessionsQuery>;
        getIdeationMission(variables: import("./contracts/api-types-and-hooks").Exact<{
            id: string;
        }>, options?: unknown): Promise<import("./contracts/api-types-and-hooks").GetIdeationMissionQuery>;
        getIdeationMissionsForSelect(variables: import("./contracts/api-types-and-hooks").Exact<{
            limit?: import("./contracts/api-types-and-hooks").Maybe<number>;
            offset?: import("./contracts/api-types-and-hooks").Maybe<number>;
            filterTitle?: import("./contracts/api-types-and-hooks").Maybe<import("./contracts/api-types-and-hooks").FilterTextInput>;
            sort?: import("./contracts/api-types-and-hooks").Maybe<import("./contracts/api-types-and-hooks").IdeationMissionSortInput>;
            selectedIds: string | string[];
        }>, options?: unknown): Promise<import("./contracts/api-types-and-hooks").GetIdeationMissionsForSelectQuery>;
        getIdeationMissions(variables?: import("./contracts/api-types-and-hooks").Exact<{
            limit?: import("./contracts/api-types-and-hooks").Maybe<number>;
            offset?: import("./contracts/api-types-and-hooks").Maybe<number>;
            filter?: import("./contracts/api-types-and-hooks").Maybe<import("./contracts/api-types-and-hooks").IdeationMissionFilterInput>;
            sort?: import("./contracts/api-types-and-hooks").Maybe<import("./contracts/api-types-and-hooks").IdeationMissionSortInput>;
            search?: import("./contracts/api-types-and-hooks").Maybe<string>;
        }> | undefined, options?: unknown): Promise<import("./contracts/api-types-and-hooks").GetIdeationMissionsQuery>;
        getVoting(variables: import("./contracts/api-types-and-hooks").Exact<{
            id: string;
        }>, options?: unknown): Promise<import("./contracts/api-types-and-hooks").GetVotingQuery>;
        getVotingsForSelect(variables: import("./contracts/api-types-and-hooks").Exact<{
            limit?: import("./contracts/api-types-and-hooks").Maybe<number>;
            offset?: import("./contracts/api-types-and-hooks").Maybe<number>;
            filterTitle?: import("./contracts/api-types-and-hooks").Maybe<import("./contracts/api-types-and-hooks").FilterTextInput>;
            sort?: import("./contracts/api-types-and-hooks").Maybe<import("./contracts/api-types-and-hooks").VotingSortInput>;
            selectedIds: string | string[];
        }>, options?: unknown): Promise<import("./contracts/api-types-and-hooks").GetVotingsForSelectQuery>;
        getVotings(variables?: import("./contracts/api-types-and-hooks").Exact<{
            limit?: import("./contracts/api-types-and-hooks").Maybe<number>;
            offset?: import("./contracts/api-types-and-hooks").Maybe<number>;
            filter?: import("./contracts/api-types-and-hooks").Maybe<import("./contracts/api-types-and-hooks").VotingFilterInput>;
            sort?: import("./contracts/api-types-and-hooks").Maybe<import("./contracts/api-types-and-hooks").VotingSortInput>;
            search?: import("./contracts/api-types-and-hooks").Maybe<string>;
        }> | undefined, options?: unknown): Promise<import("./contracts/api-types-and-hooks").GetVotingsQuery>;
        createUgcReportType(variables: import("./contracts/api-types-and-hooks").Exact<{
            params: import("./contracts/api-types-and-hooks").UgcReportTypeInput;
        }>, options?: unknown): Promise<import("./contracts/api-types-and-hooks").CreateUgcReportTypeMutation>;
        updateUgcReportType(variables: import("./contracts/api-types-and-hooks").Exact<{
            id: string;
            params: import("./contracts/api-types-and-hooks").UgcReportTypeInput;
        }>, options?: unknown): Promise<import("./contracts/api-types-and-hooks").UpdateUgcReportTypeMutation>;
        getUgcReportType(variables: import("./contracts/api-types-and-hooks").Exact<{
            id: string;
        }>, options?: unknown): Promise<import("./contracts/api-types-and-hooks").GetUgcReportTypeQuery>;
        getUgcReportTypes(variables?: import("./contracts/api-types-and-hooks").Exact<{
            limit?: import("./contracts/api-types-and-hooks").Maybe<number>;
            offset?: import("./contracts/api-types-and-hooks").Maybe<number>;
            filter?: import("./contracts/api-types-and-hooks").Maybe<import("./contracts/api-types-and-hooks").UgcReportTypeFilterInput>;
            sort?: import("./contracts/api-types-and-hooks").Maybe<import("./contracts/api-types-and-hooks").UgcReportTypeSortInput>;
            search?: import("./contracts/api-types-and-hooks").Maybe<string>;
        }> | undefined, options?: unknown): Promise<import("./contracts/api-types-and-hooks").GetUgcReportTypesQuery>;
        getRestrictions(variables?: import("./contracts/api-types-and-hooks").Exact<{
            [key: string]: never;
        }> | undefined, options?: unknown): Promise<import("./contracts/api-types-and-hooks").GetRestrictionsQuery>;
        getSalesStatistics(variables?: import("./contracts/api-types-and-hooks").Exact<{
            [key: string]: never;
        }> | undefined, options?: unknown): Promise<import("./contracts/api-types-and-hooks").GetSalesStatisticsQuery>;
        deployCommentBooster(variables?: import("./contracts/api-types-and-hooks").Exact<{
            [key: string]: never;
        }> | undefined, options?: unknown): Promise<import("./contracts/api-types-and-hooks").DeployCommentBoosterMutation>;
        deployContentBooster(variables?: import("./contracts/api-types-and-hooks").Exact<{
            [key: string]: never;
        }> | undefined, options?: unknown): Promise<import("./contracts/api-types-and-hooks").DeployContentBoosterMutation>;
        deployProposalBooster(variables?: import("./contracts/api-types-and-hooks").Exact<{
            [key: string]: never;
        }> | undefined, options?: unknown): Promise<import("./contracts/api-types-and-hooks").DeployProposalBoosterMutation>;
        distributeCommentBooster(variables?: import("./contracts/api-types-and-hooks").Exact<{
            [key: string]: never;
        }> | undefined, options?: unknown): Promise<import("./contracts/api-types-and-hooks").DistributeCommentBoosterMutation>;
        distributeContentBooster(variables?: import("./contracts/api-types-and-hooks").Exact<{
            [key: string]: never;
        }> | undefined, options?: unknown): Promise<import("./contracts/api-types-and-hooks").DistributeContentBoosterMutation>;
        distributeProposalBooster(variables?: import("./contracts/api-types-and-hooks").Exact<{
            [key: string]: never;
        }> | undefined, options?: unknown): Promise<import("./contracts/api-types-and-hooks").DistributeProposalBoosterMutation>;
        fundFanVaults(variables: import("./contracts/api-types-and-hooks").Exact<{
            fanVault: import("./contracts/api-types-and-hooks").FanVaultTypeEnum;
        }>, options?: unknown): Promise<import("./contracts/api-types-and-hooks").FundFanVaultsMutation>;
        startAutomaticPeriods(variables?: import("./contracts/api-types-and-hooks").Exact<{
            [key: string]: never;
        }> | undefined, options?: unknown): Promise<import("./contracts/api-types-and-hooks").StartAutomaticPeriodsMutation>;
        stopAutomaticPeriods(variables?: import("./contracts/api-types-and-hooks").Exact<{
            [key: string]: never;
        }> | undefined, options?: unknown): Promise<import("./contracts/api-types-and-hooks").StopAutomaticPeriodsMutation>;
        upsertSystemSettings(variables: import("./contracts/api-types-and-hooks").Exact<{
            params: import("./contracts/api-types-and-hooks").SystemSettingInput | import("./contracts/api-types-and-hooks").SystemSettingInput[];
        }>, options?: unknown): Promise<import("./contracts/api-types-and-hooks").UpsertSystemSettingsMutation>;
        getCommunityChestSettings(variables?: import("./contracts/api-types-and-hooks").Exact<{
            [key: string]: never;
        }> | undefined, options?: unknown): Promise<import("./contracts/api-types-and-hooks").GetCommunityChestSettingsQuery>;
        getFanGroupSettings(variables?: import("./contracts/api-types-and-hooks").Exact<{
            [key: string]: never;
        }> | undefined, options?: unknown): Promise<import("./contracts/api-types-and-hooks").GetFanGroupSettingsQuery>;
        getGeneralSettings(variables?: import("./contracts/api-types-and-hooks").Exact<{
            [key: string]: never;
        }> | undefined, options?: unknown): Promise<import("./contracts/api-types-and-hooks").GetGeneralSettingsQuery>;
        getNfcSettings(variables?: import("./contracts/api-types-and-hooks").Exact<{
            [key: string]: never;
        }> | undefined, options?: unknown): Promise<import("./contracts/api-types-and-hooks").GetNfcSettingsQuery>;
        getProposalPeriodSettings(variables?: import("./contracts/api-types-and-hooks").Exact<{
            [key: string]: never;
        }> | undefined, options?: unknown): Promise<import("./contracts/api-types-and-hooks").GetProposalPeriodSettingsQuery>;
        getShopSettings(variables?: import("./contracts/api-types-and-hooks").Exact<{
            [key: string]: never;
        }> | undefined, options?: unknown): Promise<import("./contracts/api-types-and-hooks").GetShopSettingsQuery>;
        getTokenContractSettings(variables?: import("./contracts/api-types-and-hooks").Exact<{
            [key: string]: never;
        }> | undefined, options?: unknown): Promise<import("./contracts/api-types-and-hooks").GetTokenContractSettingsQuery>;
        getTokenDistributionSettings(variables?: import("./contracts/api-types-and-hooks").Exact<{
            [key: string]: never;
        }> | undefined, options?: unknown): Promise<import("./contracts/api-types-and-hooks").GetTokenDistributionSettingsQuery>;
        createShopProduct(variables: import("./contracts/api-types-and-hooks").Exact<{
            params: import("./contracts/api-types-and-hooks").ShopProductInput;
        }>, options?: unknown): Promise<import("./contracts/api-types-and-hooks").CreateShopProductMutation>;
        createShopProductTier(variables: import("./contracts/api-types-and-hooks").Exact<{
            params: import("./contracts/api-types-and-hooks").ShopProductTierInput;
        }>, options?: unknown): Promise<import("./contracts/api-types-and-hooks").CreateShopProductTierMutation>;
        deleteShopProducts(variables: import("./contracts/api-types-and-hooks").Exact<{
            ids: string | string[];
        }>, options?: unknown): Promise<import("./contracts/api-types-and-hooks").DeleteShopProductsMutation>;
        deleteShopProductTiers(variables: import("./contracts/api-types-and-hooks").Exact<{
            ids: string | string[];
        }>, options?: unknown): Promise<import("./contracts/api-types-and-hooks").DeleteShopProductTiersMutation>;
        updateShopProduct(variables: import("./contracts/api-types-and-hooks").Exact<{
            id: string;
            params: import("./contracts/api-types-and-hooks").ShopProductInput;
        }>, options?: unknown): Promise<import("./contracts/api-types-and-hooks").UpdateShopProductMutation>;
        updateShopProductTier(variables: import("./contracts/api-types-and-hooks").Exact<{
            id: string;
            params: import("./contracts/api-types-and-hooks").ShopProductTierInput;
        }>, options?: unknown): Promise<import("./contracts/api-types-and-hooks").UpdateShopProductTierMutation>;
        getLowNftBuckets(variables?: import("./contracts/api-types-and-hooks").Exact<{
            [key: string]: never;
        }> | undefined, options?: unknown): Promise<import("./contracts/api-types-and-hooks").GetLowNftBucketsQuery>;
        getUserOrder(variables: import("./contracts/api-types-and-hooks").Exact<{
            id: string;
        }>, options?: unknown): Promise<import("./contracts/api-types-and-hooks").GetUserOrderQuery>;
        getUserOrders(variables?: import("./contracts/api-types-and-hooks").Exact<{
            limit?: import("./contracts/api-types-and-hooks").Maybe<number>;
            offset?: import("./contracts/api-types-and-hooks").Maybe<number>;
            filter?: import("./contracts/api-types-and-hooks").Maybe<import("./contracts/api-types-and-hooks").UserOrderFilterInput>;
            sort?: import("./contracts/api-types-and-hooks").Maybe<import("./contracts/api-types-and-hooks").UserOrderSortInput>;
            search?: import("./contracts/api-types-and-hooks").Maybe<string>;
        }> | undefined, options?: unknown): Promise<import("./contracts/api-types-and-hooks").GetUserOrdersQuery>;
        getShopProduct(variables: import("./contracts/api-types-and-hooks").Exact<{
            id: string;
        }>, options?: unknown): Promise<import("./contracts/api-types-and-hooks").GetShopProductQuery>;
        getShopProducts(variables?: import("./contracts/api-types-and-hooks").Exact<{
            limit?: import("./contracts/api-types-and-hooks").Maybe<number>;
            offset?: import("./contracts/api-types-and-hooks").Maybe<number>;
            filter?: import("./contracts/api-types-and-hooks").Maybe<import("./contracts/api-types-and-hooks").ShopProductFilterInput>;
            sort?: import("./contracts/api-types-and-hooks").Maybe<import("./contracts/api-types-and-hooks").ShopProductSortInput>;
            search?: import("./contracts/api-types-and-hooks").Maybe<string>;
        }> | undefined, options?: unknown): Promise<import("./contracts/api-types-and-hooks").GetShopProductsQuery>;
        getShopProductTier(variables: import("./contracts/api-types-and-hooks").Exact<{
            id: string;
        }>, options?: unknown): Promise<import("./contracts/api-types-and-hooks").GetShopProductTierQuery>;
        getShopProductTiers(variables?: import("./contracts/api-types-and-hooks").Exact<{
            limit?: import("./contracts/api-types-and-hooks").Maybe<number>;
            offset?: import("./contracts/api-types-and-hooks").Maybe<number>;
            filter?: import("./contracts/api-types-and-hooks").Maybe<import("./contracts/api-types-and-hooks").ShopProductTierFilterInput>;
            sort?: import("./contracts/api-types-and-hooks").Maybe<import("./contracts/api-types-and-hooks").ShopProductTierSortInput>;
            search?: import("./contracts/api-types-and-hooks").Maybe<string>;
        }> | undefined, options?: unknown): Promise<import("./contracts/api-types-and-hooks").GetShopProductTiersQuery>;
        getVisibleProductsWithNftBuckets(variables?: import("./contracts/api-types-and-hooks").Exact<{
            [key: string]: never;
        }> | undefined, options?: unknown): Promise<import("./contracts/api-types-and-hooks").GetVisibleProductsWithNftBucketsQuery>;
        createSponsor(variables: import("./contracts/api-types-and-hooks").Exact<{
            params: import("./contracts/api-types-and-hooks").SponsorInput;
        }>, options?: unknown): Promise<import("./contracts/api-types-and-hooks").CreateSponsorMutation>;
        deleteSponsors(variables: import("./contracts/api-types-and-hooks").Exact<{
            ids: string | string[];
        }>, options?: unknown): Promise<import("./contracts/api-types-and-hooks").DeleteSponsorsMutation>;
        updateSponsor(variables: import("./contracts/api-types-and-hooks").Exact<{
            id: string;
            params: import("./contracts/api-types-and-hooks").SponsorInput;
        }>, options?: unknown): Promise<import("./contracts/api-types-and-hooks").UpdateSponsorMutation>;
        getSponsorStatistics(variables: import("./contracts/api-types-and-hooks").Exact<{
            id: string;
            filter?: import("./contracts/api-types-and-hooks").Maybe<import("./contracts/api-types-and-hooks").SponsorStatisticsFilterInput>;
        }>, options?: unknown): Promise<import("./contracts/api-types-and-hooks").GetSponsorStatisticsQuery>;
        getSponsor(variables: import("./contracts/api-types-and-hooks").Exact<{
            id: string;
        }>, options?: unknown): Promise<import("./contracts/api-types-and-hooks").GetSponsorQuery>;
        getSponsorsForSelect(variables?: import("./contracts/api-types-and-hooks").Exact<{
            limit?: import("./contracts/api-types-and-hooks").Maybe<number>;
            offset?: import("./contracts/api-types-and-hooks").Maybe<number>;
            filter?: import("./contracts/api-types-and-hooks").Maybe<import("./contracts/api-types-and-hooks").SponsorFilterInput>;
            sort?: import("./contracts/api-types-and-hooks").Maybe<import("./contracts/api-types-and-hooks").SponsorSortInput>;
        }> | undefined, options?: unknown): Promise<import("./contracts/api-types-and-hooks").GetSponsorsForSelectQuery>;
        getSponsors(variables?: import("./contracts/api-types-and-hooks").Exact<{
            limit?: import("./contracts/api-types-and-hooks").Maybe<number>;
            offset?: import("./contracts/api-types-and-hooks").Maybe<number>;
            filter?: import("./contracts/api-types-and-hooks").Maybe<import("./contracts/api-types-and-hooks").SponsorFilterInput>;
            sort?: import("./contracts/api-types-and-hooks").Maybe<import("./contracts/api-types-and-hooks").SponsorSortInput>;
            search?: import("./contracts/api-types-and-hooks").Maybe<string>;
        }> | undefined, options?: unknown): Promise<import("./contracts/api-types-and-hooks").GetSponsorsQuery>;
        archiveStaticPage(variables: import("./contracts/api-types-and-hooks").Exact<{
            id: string;
        }>, options?: unknown): Promise<import("./contracts/api-types-and-hooks").ArchiveStaticPageMutation>;
        createStaticPage(variables: import("./contracts/api-types-and-hooks").Exact<{
            params: import("./contracts/api-types-and-hooks").StaticPageInput;
        }>, options?: unknown): Promise<import("./contracts/api-types-and-hooks").CreateStaticPageMutation>;
        deleteStaticPages(variables: import("./contracts/api-types-and-hooks").Exact<{
            ids: string | string[];
        }>, options?: unknown): Promise<import("./contracts/api-types-and-hooks").DeleteStaticPagesMutation>;
        publishStaticPage(variables: import("./contracts/api-types-and-hooks").Exact<{
            id: string;
        }>, options?: unknown): Promise<import("./contracts/api-types-and-hooks").PublishStaticPageMutation>;
        updateStaticPage(variables: import("./contracts/api-types-and-hooks").Exact<{
            id: string;
            params: import("./contracts/api-types-and-hooks").StaticPageInput;
        }>, options?: unknown): Promise<import("./contracts/api-types-and-hooks").UpdateStaticPageMutation>;
        getStaticPage(variables: import("./contracts/api-types-and-hooks").Exact<{
            id: string;
        }>, options?: unknown): Promise<import("./contracts/api-types-and-hooks").GetStaticPageQuery>;
        getStaticPages(variables?: import("./contracts/api-types-and-hooks").Exact<{
            limit?: import("./contracts/api-types-and-hooks").Maybe<number>;
            offset?: import("./contracts/api-types-and-hooks").Maybe<number>;
            filter?: import("./contracts/api-types-and-hooks").Maybe<import("./contracts/api-types-and-hooks").StaticPageFilterInput>;
            sort?: import("./contracts/api-types-and-hooks").Maybe<import("./contracts/api-types-and-hooks").StaticPageSortInput>;
            search?: import("./contracts/api-types-and-hooks").Maybe<string>;
        }> | undefined, options?: unknown): Promise<import("./contracts/api-types-and-hooks").GetStaticPagesQuery>;
        createTokenHandout(variables: import("./contracts/api-types-and-hooks").Exact<{
            params: import("./contracts/api-types-and-hooks").TokenHandoutInput;
            userFilter: import("./contracts/api-types-and-hooks").UserFilterInput;
            userSearch?: import("./contracts/api-types-and-hooks").Maybe<string>;
        }>, options?: unknown): Promise<import("./contracts/api-types-and-hooks").CreateTokenHandoutMutation>;
        deleteTokenHandouts(variables: import("./contracts/api-types-and-hooks").Exact<{
            ids: string | string[];
        }>, options?: unknown): Promise<import("./contracts/api-types-and-hooks").DeleteTokenHandoutsMutation>;
        draftTokenHandout(variables: import("./contracts/api-types-and-hooks").Exact<{
            id: string;
        }>, options?: unknown): Promise<import("./contracts/api-types-and-hooks").DraftTokenHandoutMutation>;
        publishTokenHandout(variables: import("./contracts/api-types-and-hooks").Exact<{
            id: string;
        }>, options?: unknown): Promise<import("./contracts/api-types-and-hooks").PublishTokenHandoutMutation>;
        updateTokenHandout(variables: import("./contracts/api-types-and-hooks").Exact<{
            id: string;
            params: import("./contracts/api-types-and-hooks").TokenHandoutInput;
            userFilter?: import("./contracts/api-types-and-hooks").Maybe<import("./contracts/api-types-and-hooks").UserFilterInput>;
            userSearch?: import("./contracts/api-types-and-hooks").Maybe<string>;
        }>, options?: unknown): Promise<import("./contracts/api-types-and-hooks").UpdateTokenHandoutMutation>;
        getTokenHandoutUsers(variables?: import("./contracts/api-types-and-hooks").Exact<{
            limit?: import("./contracts/api-types-and-hooks").Maybe<number>;
            offset?: import("./contracts/api-types-and-hooks").Maybe<number>;
            filter?: import("./contracts/api-types-and-hooks").Maybe<import("./contracts/api-types-and-hooks").TokenHandoutUserFilterInput>;
            sort?: import("./contracts/api-types-and-hooks").Maybe<import("./contracts/api-types-and-hooks").TokenHandoutUserSortInput>;
        }> | undefined, options?: unknown): Promise<import("./contracts/api-types-and-hooks").GetTokenHandoutUsersQuery>;
        getTokenHandout(variables: import("./contracts/api-types-and-hooks").Exact<{
            id: string;
        }>, options?: unknown): Promise<import("./contracts/api-types-and-hooks").GetTokenHandoutQuery>;
        getTokenHandouts(variables?: import("./contracts/api-types-and-hooks").Exact<{
            limit?: import("./contracts/api-types-and-hooks").Maybe<number>;
            offset?: import("./contracts/api-types-and-hooks").Maybe<number>;
            filter?: import("./contracts/api-types-and-hooks").Maybe<import("./contracts/api-types-and-hooks").TokenHandoutFilterInput>;
            sort?: import("./contracts/api-types-and-hooks").Maybe<import("./contracts/api-types-and-hooks").TokenHandoutSortInput>;
            search?: import("./contracts/api-types-and-hooks").Maybe<string>;
        }> | undefined, options?: unknown): Promise<import("./contracts/api-types-and-hooks").GetTokenHandoutsQuery>;
        getTokenStatistics(variables?: import("./contracts/api-types-and-hooks").Exact<{
            [key: string]: never;
        }> | undefined, options?: unknown): Promise<import("./contracts/api-types-and-hooks").GetTokenStatisticsQuery>;
        getTransaction(variables: import("./contracts/api-types-and-hooks").Exact<{
            id: string;
        }>, options?: unknown): Promise<import("./contracts/api-types-and-hooks").GetTransactionQuery>;
        getTransactions(variables?: import("./contracts/api-types-and-hooks").Exact<{
            limit?: import("./contracts/api-types-and-hooks").Maybe<number>;
            offset?: import("./contracts/api-types-and-hooks").Maybe<number>;
            filter?: import("./contracts/api-types-and-hooks").Maybe<import("./contracts/api-types-and-hooks").TransactionFilterInput>;
            sort?: import("./contracts/api-types-and-hooks").Maybe<import("./contracts/api-types-and-hooks").TransactionSortInput>;
            search?: import("./contracts/api-types-and-hooks").Maybe<string>;
        }> | undefined, options?: unknown): Promise<import("./contracts/api-types-and-hooks").GetTransactionsQuery>;
        getTriggerEvents(variables?: import("./contracts/api-types-and-hooks").Exact<{
            [key: string]: never;
        }> | undefined, options?: unknown): Promise<import("./contracts/api-types-and-hooks").GetTriggerEventsQuery>;
        getUserGiveaways(variables?: import("./contracts/api-types-and-hooks").Exact<{
            limit?: import("./contracts/api-types-and-hooks").Maybe<number>;
            offset?: import("./contracts/api-types-and-hooks").Maybe<number>;
            filter?: import("./contracts/api-types-and-hooks").Maybe<import("./contracts/api-types-and-hooks").UserGiveawayFilterInput>;
            sort?: import("./contracts/api-types-and-hooks").Maybe<import("./contracts/api-types-and-hooks").UserGiveawaySortInput>;
            search?: import("./contracts/api-types-and-hooks").Maybe<string>;
        }> | undefined, options?: unknown): Promise<import("./contracts/api-types-and-hooks").GetUserGiveawaysQuery>;
        archiveProfileField(variables: import("./contracts/api-types-and-hooks").Exact<{
            id: string;
        }>, options?: unknown): Promise<import("./contracts/api-types-and-hooks").ArchiveProfileFieldMutation>;
        createProfileField(variables: import("./contracts/api-types-and-hooks").Exact<{
            params: import("./contracts/api-types-and-hooks").ProfileFieldInput;
        }>, options?: unknown): Promise<import("./contracts/api-types-and-hooks").CreateProfileFieldMutation>;
        deleteProfileFields(variables: import("./contracts/api-types-and-hooks").Exact<{
            ids: string | string[];
        }>, options?: unknown): Promise<import("./contracts/api-types-and-hooks").DeleteProfileFieldsMutation>;
        draftProfileField(variables: import("./contracts/api-types-and-hooks").Exact<{
            id: string;
        }>, options?: unknown): Promise<import("./contracts/api-types-and-hooks").DraftProfileFieldMutation>;
        publishProfileField(variables: import("./contracts/api-types-and-hooks").Exact<{
            id: string;
        }>, options?: unknown): Promise<import("./contracts/api-types-and-hooks").PublishProfileFieldMutation>;
        updateProfileField(variables: import("./contracts/api-types-and-hooks").Exact<{
            id: string;
            params: import("./contracts/api-types-and-hooks").ProfileFieldInput;
        }>, options?: unknown): Promise<import("./contracts/api-types-and-hooks").UpdateProfileFieldMutation>;
        updateProfileFields(variables: import("./contracts/api-types-and-hooks").Exact<{
            params: import("./contracts/api-types-and-hooks").ProfileFieldInput | import("./contracts/api-types-and-hooks").ProfileFieldInput[];
        }>, options?: unknown): Promise<import("./contracts/api-types-and-hooks").UpdateProfileFieldsMutation>;
        updateUser(variables: import("./contracts/api-types-and-hooks").Exact<{
            id: string;
            params: import("./contracts/api-types-and-hooks").UserInput;
        }>, options?: unknown): Promise<import("./contracts/api-types-and-hooks").UpdateUserMutation>;
        getProfileField(variables: import("./contracts/api-types-and-hooks").Exact<{
            id: string;
        }>, options?: unknown): Promise<import("./contracts/api-types-and-hooks").GetProfileFieldQuery>;
        getProfileFields(variables?: import("./contracts/api-types-and-hooks").Exact<{
            limit?: import("./contracts/api-types-and-hooks").Maybe<number>;
            offset?: import("./contracts/api-types-and-hooks").Maybe<number>;
            filter?: import("./contracts/api-types-and-hooks").Maybe<import("./contracts/api-types-and-hooks").ProfileFieldFilterInput>;
            sort?: import("./contracts/api-types-and-hooks").Maybe<import("./contracts/api-types-and-hooks").ProfileFieldSortInput>;
            search?: import("./contracts/api-types-and-hooks").Maybe<string>;
        }> | undefined, options?: unknown): Promise<import("./contracts/api-types-and-hooks").GetProfileFieldsQuery>;
        getUserDeviceStatistics(variables?: import("./contracts/api-types-and-hooks").Exact<{
            [key: string]: never;
        }> | undefined, options?: unknown): Promise<import("./contracts/api-types-and-hooks").GetUserDeviceStatisticsQuery>;
        getUser(variables: import("./contracts/api-types-and-hooks").Exact<{
            id: string;
        }>, options?: unknown): Promise<import("./contracts/api-types-and-hooks").GetUserQuery>;
        getUsers(variables?: import("./contracts/api-types-and-hooks").Exact<{
            limit?: import("./contracts/api-types-and-hooks").Maybe<number>;
            offset?: import("./contracts/api-types-and-hooks").Maybe<number>;
            filter?: import("./contracts/api-types-and-hooks").Maybe<import("./contracts/api-types-and-hooks").UserFilterInput>;
            sort?: import("./contracts/api-types-and-hooks").Maybe<import("./contracts/api-types-and-hooks").UserSortInput>;
            search?: import("./contracts/api-types-and-hooks").Maybe<string>;
        }> | undefined, options?: unknown): Promise<import("./contracts/api-types-and-hooks").GetUsersQuery>;
        triggerGiveawayEvent(variables: import("./contracts/api-types-and-hooks").Exact<{
            apiUuid: string;
            userFilter?: import("./contracts/api-types-and-hooks").Maybe<import("./contracts/api-types-and-hooks").UserFilterInput>;
            userSearch?: import("./contracts/api-types-and-hooks").Maybe<string>;
        }>, options?: unknown): Promise<import("./contracts/api-types-and-hooks").TriggerGiveawayEventMutation>;
        inviteUser(variables: import("./contracts/api-types-and-hooks").Exact<{
            inviterId: string;
            emailAddress: string;
        }>, options?: unknown): Promise<import("./contracts/api-types-and-hooks").InviteUserMutation>;
        getUserByUid(variables: import("./contracts/api-types-and-hooks").Exact<{
            uid: string;
            provider: string;
        }>, options?: unknown): Promise<import("./contracts/api-types-and-hooks").GetUserByUidQuery>;
    };
};
export default _default;
export * as api from './contracts/api-types-and-hooks';
//# sourceMappingURL=index.d.ts.map