"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __generator = (this && this.__generator) || function (thisArg, body) {
    var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
    return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
    function verb(n) { return function (v) { return step([n, v]); }; }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while (_) try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [op[0] & 2, t.value];
            switch (op[0]) {
                case 0: case 1: t = op; break;
                case 4: _.label++; return { value: op[1], done: false };
                case 5: _.label++; y = op[1]; op = [0]; continue;
                case 7: op = _.ops.pop(); _.trys.pop(); continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                    if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                    if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                    if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                    if (t[2]) _.ops.pop();
                    _.trys.pop(); continue;
            }
            op = body.call(thisArg, _);
        } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
        if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
    }
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.api = void 0;
var extract_files_1 = require("extract-files");
var form_data_1 = __importDefault(require("form-data"));
var graphql_1 = require("graphql");
var node_fetch_1 = __importDefault(require("node-fetch"));
var api_types_and_hooks_1 = require("./contracts/api-types-and-hooks");
var isExtractableFileEnhanced = function (value) {
    return typeof value === 'object' &&
        'buffer' in value &&
        'filename' in value &&
        'contentType' in value &&
        Buffer.isBuffer(value.buffer) &&
        typeof value.filename === 'string' &&
        typeof value.contentType === 'string';
};
function doRequest(doc, variables, _a) {
    var _b, _c;
    var uri = _a.uri, _d = _a.headers, headers = _d === void 0 ? {} : _d;
    return __awaiter(this, void 0, void 0, function () {
        var operation, operationName, body, contentType, _e, clone, files, index_1, response, json, error_1;
        return __generator(this, function (_f) {
            switch (_f.label) {
                case 0:
                    operation = graphql_1.getOperationAST(doc);
                    operationName = operation && ((_b = operation.name) === null || _b === void 0 ? void 0 : _b.value);
                    contentType = undefined;
                    _e = extract_files_1.extractFiles(variables, 'variables', isExtractableFileEnhanced), clone = _e.clone, files = _e.files;
                    if (!files.size) {
                        contentType = 'application/json';
                        body = JSON.stringify({
                            operationName: operationName,
                            query: graphql_1.print(doc),
                            variables: variables,
                        });
                    }
                    else {
                        body = new form_data_1.default();
                        body.append('operations', JSON.stringify({ operationName: operationName, query: graphql_1.print(doc), variables: clone }));
                        index_1 = 0;
                        files.forEach(function (paths, file) {
                            var _a;
                            var currentIndex = (++index_1).toString();
                            body.append('map', JSON.stringify((_a = {}, _a[currentIndex] = paths, _a)));
                            body.append(currentIndex, file.buffer, { filename: file.filename, contentType: file.contentType });
                        });
                    }
                    _f.label = 1;
                case 1:
                    _f.trys.push([1, 8, , 9]);
                    return [4 /*yield*/, node_fetch_1.default(uri, {
                            method: 'POST',
                            headers: __assign(__assign({ Accept: '*/*' }, (contentType ? { 'content-type': contentType } : {})), headers),
                            body: body,
                        })];
                case 2:
                    response = _f.sent();
                    if (!!response.ok) return [3 /*break*/, 6];
                    if (!((_c = response.headers.get('content-type')) === null || _c === void 0 ? void 0 : _c.startsWith('application/json'))) return [3 /*break*/, 4];
                    return [4 /*yield*/, response.json()];
                case 3: throw _f.sent();
                case 4: return [4 /*yield*/, response.text()];
                case 5: throw _f.sent();
                case 6: return [4 /*yield*/, response.json()];
                case 7:
                    json = (_f.sent());
                    if (json.errors)
                        throw json;
                    return [2 /*return*/, json.data];
                case 8:
                    error_1 = _f.sent();
                    console.error(JSON.stringify(error_1));
                    throw error_1;
                case 9: return [2 /*return*/];
            }
        });
    });
}
exports.default = (function (_a) {
    var token = _a.token;
    return ({
        api: api_types_and_hooks_1.getSdk(function (doc, variables) {
            return doRequest(doc, variables, {
                uri: token.decoded.services['team.liquidi.fp.api'],
                headers: { Authorization: "Bearer " + token.jwt },
            });
        }),
    });
});
exports.api = __importStar(require("./contracts/api-types-and-hooks"));
//# sourceMappingURL=index.js.map